{
Copyright (C) 2002-2019  Massimo Melina (www.rejetto.com)

This file is part of HFS ~ HTTP File Server.

    HFS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    HFS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HFS; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Modified by Mars & SilentPliz - 2007/2019 - <silentpliz@gmail.com>
Internationalized & localized for HFS ~ HTTP File Server by SilentPliz - 2011-2019  <silentpliz@gmail.com>
}

unit listSelectDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, CheckLst, types, utilLib, strutils, gnugettext;

type
  TlistSelectFrm = class(TForm)
    Panel1: TPanel;
    okBtn: TButton;
    cancelBtn: TButton;
    listBox: TCheckListBox;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function listSelect(title:string; var options:TstringList):boolean;

implementation

{$R *.dfm}

function listSelect(title:string; var options:TstringList):boolean;
var
  dlg: TlistSelectFrm;
  i: integer;
begin
result:=FALSE;
dlg:=TlistSelectFrm.Create(NIL);
with dlg do
  try
    caption:=title;
    listBox.items.assign(options);
    for i:=0 to options.count-1 do
      if options.objects[i] <> NIL then
        listbox.Checked[i]:=TRUE;
    clientHeight:=clientHeight-listBox.ClientHeight+listBox.ItemHeight*minmax(5,15, listbox.count);
    if showModal() = mrCancel then exit;
    for i:=0 to listbox.Count-1 do
      options.Objects[i]:=if_(listbox.Checked[i], PTR1, NIL);
    result:=TRUE;
  finally dlg.free end;
end;

procedure TlistSelectFrm.FormCreate(Sender: TObject);
begin
  TranslateComponent (self);  //add by SilentPliz
self.DefaultMonitor:=dmMainForm;          //add by mars
self.Position:=poScreenCenter;            //add by mars
end;

procedure TlistSelectFrm.FormShow(Sender: TObject);  //add by SilentPliz
begin
  RetranslateComponent (self);
end;

end.
